#!/bin/sh

# runffl.sh
# This script runs the code fflgillespie.c for different values of the parameters given in input
# in the function Main of the C code.
# Define the parameters you want to vary and the number of times you want to rerun the code in the while function here below; therefore the variation of the parameter at each step by the code line `echo "$kc+$dparam" | bc`, e.g. by increasing or decreasing the value dparam.
# Note that the C-code will only save the last run for the time evolution and the proteins values but will store
# the coefficient of variations for all runs.

gcc fflgillespie.c -o ffl -lm

i=1
imax=10;
tmu=0.01
dparam=0.01;
while [ $i -lt $imax ]
do
echo doing $kc
echo $tmu | ./ffl -tmu$tmu
tmu=`echo "$tmu+$dparam" | bc`
i=`expr $i + 1`

done

exit